#
# spec file for package php5-pear-Net_SMTP
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_SMTP
%define pear_name  Net_SMTP
%define pear_sname net_smtp
Summary:        An implementation of the SMTP protocol
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Version:        1.6.1
Release:        17.1%{?dist}.kolab_3.4
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php >= 4.0.5
BuildRequires:  php-pear
Requires:       php >= 4.0.5
Requires:       php-pear
Requires:       php-pear-Net_Socket >= 1.0.7
Suggests:       php-pear-Auth_SASL
#
Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
Provides:       php-pear(%{pear_name}) = %{version}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Provides an implementation of the SMTP protocol using PEAR's Net_Socket class.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/*
%doc %{pear_name}-%{version}/examples

%changelog
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- version 1.6.1
- Fixing the detection of SASL-based AUTH methods. (pear Bug #18594)
- Adding a new command() method for sending arbitrary SMTP commands.
- More kinds of socket write() failures are now detected.
- Improved PEAR_Error internal handling. (Bug 18469)
- External authentication methods are now supported via setAuthMethod().
- Resource-based data streams are no longer terminated prematurely. (pear Bug #18563)
- Avoid appending an extra space in mailFrom() when $params is empty. (pear Bug #17989)
- Differentiating between a connection timeout and general socket I/O timeouts. (pear Request #18197)
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- pkg rename php5-pear-Net_SMTP
- merge with php-pear-net_smtp, php5-pear-net_smtp
- dr for php-pear-net_smtp, php5-pear-net_smtp
- update to 1.4.4
  * Corrected a problem with SMTP servers that don't support the SIZE
    feature. (Bug 17942)
- 1.4.3
  - Reduce peak memory usage when sending large files. (Request 17887)
  - Adding support for proxy authentication. (Request 17358)
- for more info please see ChangeLog
    http://pear.php.net/package/Net_SMTP/download/All
- added php-macros
- cleanup spec
* Tue Nov 10 2009 chris@computersalat.de
- new version 1.3.3
  * (Request #16066)
    Added getGreeting(), for retrieving the server's greeting string.
  * (Bug #16254)
    We no longer attempt a TLS connection if we're already using a
    secure socket.
  * (Request #16420)
    You can now specify a debug output handler via setDebug().
- cleanup spec
  * removed ^#---
  * removed {rel}
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- new version 1.3.2
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint fixes
* Tue Dec 23 2008 rbos@opensuse.org
- Added php5-pear-net_socket as dependency, this rpms provides
  the directory %%%%{peardir}/Net
* Wed Dec 17 2008 rbos@opensuse.org
- Updated to version 1.3.1
- Prevent rpmlint error "directories not owned by a package"
- use (again) --installroot instead of --packagingroot.  The latter results
  in build failures
* Thu Dec  7 2006 suse-tux@gmx.de
- use --packagingroot instead of --installroot
* Sun Oct 29 2006 suse-tux@gmx.de
- update to version 1.2.8
- minor spec file changes
* Sat Jun 10 2006 suse-tux@gmx.de
- made spec file portable for other suse-versions
- adapt name tag to suse's php-pear-naming-style
- added php.ini otherwise it doesn't build on 10.1 (too less memory)   (thanks darix)
* Mon Apr 17 2006 suse-tux@gmx.de
- rebuild on 10.1
* Mon Jan 23 2006 suse-tux@gmx.de
- initial build
